Simulating Guidewires in Blood Vessels using Cosserat Rod Theory |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GuidewireSim.CollisionPair Struct Reference

## Public Member Functions
| CollisionPair (Transform sphere, int sphereID, Vector3 contactPoint, Vector3 collisionNormal)

## Public Attributes
Transform | sphere
| The sphere object of the guidewire that was part of the collision. More...
Vector3 | contactPoint
| The contact point of the collision. More...
Vector3 | collisionNormal
| The normal of the collision. More...
int | sphereID
| The ID of the sphere object of the guidewire that was part of the collision. More...

## Detailed Description

Carries all information of a collision that occured.

## Constructor & Destructor Documentation

## ◆ CollisionPair()

GuidewireSim.CollisionPair.CollisionPair | ( | Transform | sphere,
|  | int | sphereID,
|  | Vector3 | contactPoint,
|  | Vector3 | collisionNormal
| ) |  |

## Member Data Documentation

## ◆ collisionNormal

Vector3 GuidewireSim.CollisionPair.collisionNormal

The normal of the collision.

## ◆ contactPoint

Vector3 GuidewireSim.CollisionPair.contactPoint

The contact point of the collision.

## ◆ sphere

Transform GuidewireSim.CollisionPair.sphere

The sphere object of the guidewire that was part of the collision.

## ◆ sphereID

int GuidewireSim.CollisionPair.sphereID

The ID of the sphere object of the guidewire that was part of the collision.

The documentation for this struct was generated from the following file:

- CollisionPair.cs